AMQPExchange::publish
AMQPExchange::setArguments
AMQPExchange
PHP Manual

# AMQPExchange::setArgument

(PECL amqp >= Unknown)

AMQPExchange::setArgument — Set the value for the given key

### Description

public void AMQPExchange::setArgument ( string `$key` , mixed `$value` )

Set the key to the given value.

### Parameters

`key`

  The key to set.

`value`

  The value to set.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

AMQPExchange::publish
AMQPExchange::setArguments
AMQPExchange
PHP Manual